<template>
    <div class="requirement-part" :class="{[`requirement-part--${part.type}`]: true}">
        <div class="requirement-part__text">
            <template v-if="part.type == 'text'">{{ part.value }}</template>
            <template v-else-if="part.type == 'highlight'">
                <qra-requirement-part-highlight :part="part" />
            </template>
        </div>
    </div>
</template>

<script>
export default {
    props: ['part']
}
</script>


<style lang="scss">
.requirement-part {
    display: inline;
    line-height: 165%;
    &__text {
        display: inline;
    }

    &:hover {
        .part-highlight__text {
            padding-bottom: 40px;
        }
        .part-highlight__tooltip {
            display: block;
        }
    }
}

</style>